Subject: Re: bug#25987: 25.2; support gcc fixit notes

From: Tom Tromey <[email-masked]>
Date: Sat, 05 Aug 2017 21:34:24 -0600

>>>>> "Dmitry" == Dmitry Gutov <[email-masked]> writes:

Dmitry> Thinking along these lines, the closest things we have are Flymake and
Dmitry> Flyspell. The third-party Flycheck is even better is several respects
Dmitry> (e.g. it can show a listing of all problems in the file buffer), but
Dmitry> sadly we won't be able to use it, since the primary author is sternly
Dmitry> against copyright assignment.

It'd be great to evolve Flymake into something more like Flycheck.

Dmitry> But it'd be good to teach Flymake about fixits, and when we can't use
Dmitry> tooltips, use a text-based prompts a la Flyspell.

I think this would be a good addition, kind of like LSP mode; but also
not really necessary -- at least for me, I usually use M-x compile for C
and C++ projects, and some integration with next-error would be more
than sufficient.

Tom